Subject: [os2genau_digest] No. 1800
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 31 Mar 2009 00:00:33 AET-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Monday 30 March 2009
 Number  1800
**************************************************

Subjects for today
 
1  Re:  Daylight saving : Dennis Nolan <dennis at jeg-og dot com>
2  Re:  WA Daylight saving : Ian Manners" <deadmail>

**= Email   1 ==========================**

Date:  Mon, 30 Mar 2009 00:15:21 +1100
From:  Dennis Nolan <dennis at jeg-og dot com>
Subject:  Re:  Daylight saving

I could never work out the logic of how we set computer clocks..

To me all computers should be set to the standard time and the local 
time adjustment should be applied to all date and time requests.

Then time stamps would have meaning across the world. No need to try and 
work out the then current time offsets when comparing times.

Regards

Dennis

Paul Smedley wrote:
> Hi Peter
>
> ------- Original message -------
> From: Peter Moylan <peter at pmoylan dot org>
> To: os2genau at os2 dot org dot au
> Sent: 29.3.'09,  14:59
>
>   
>> In answer to the question everyone asks twice a year: the eCSClock files 
>> you have to alter are in the directory C:\ecs\system\eclock and the 
>> files you have to alter are called tzdata and tzdata.international. I've 
>> never worked out which of these two is used, so I guess you have to edit 
>> both.
>>
>> For Victoria, NSW, ACT, and Tasmania: search for "AEDT" in the file, and 
>> change the TZ line to
>>
>> TZ=AEST-10AEDT,10,1,0,7200,4,1,0,7200,3600
>>
>> (Then change the actual clock, because it's probably already done a 
>> premature switch of one unwanted hour.) This should also get the change 
>> correct next October, unless they go and change the legislation again.
>>
>> For South Australia: similar to above, but CST-9:30CDT instead of 
>> AEST-10AEDT.
>>     
> Thanks for this - perhaps we should open a ticket at ecomstation dot com to get the TZ stuff correct for eCS 2.0
>
>   
>> For WA: I'm not sure. My copy of eClock says that Perth doesn't observe 
>> daylight saving time, but I have a strong suspicion that that's wrong. 
>> Google tells me that WA did in fact end summer time this weekend, unlike 
>> the eastern states, but eClock doesn't seem to know about that.
>>     
>
> WA is currently taking part in a 3 year trial of daylight savings - with 1 more year to go until the trial ends. 
>
> cheers,
>
> Paul.
> --------------------------------------------------
>  
>  http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>   
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Mon, 30 Mar 2009 00:33:51 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  WA Daylight saving

FYI

Daylight saving ended in WA this morning, with
a referendum on the issue set for May 16.

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG